# Contributing to Project

First off, thanks for taking the time to contribute!

## Code of Conduct

This project adheres to the Contributor Covenant [code of conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to support@tofupilot.com.

## How to Contribute

### Reporting Bugs

If you find a bug, please open an issue [here](https://github.com/tofupilot/python-client/issues) with detailed information on how to reproduce it.

### Suggesting Features

You can suggest new features by opening an issue [here](https://github.com/tofupilot/python-client/issues).

### Submitting Pull Requests

1. Fork the repository.
2. Create a new branch (e.g., `feature/xyz`).
3. Make your changes.
4. Commit your changes **following the [Conventional Commits](https://www.conventionalcommits.org/en/v1.0.0/) format** to ensure correct tagging, release notes, and changelog:
   - `fix:` for bug fixes (SemVer patch).
   - `feat:` for new features (SemVer minor).
   - `feat!:`, `fix!:`, etc., for breaking changes (SemVer major).
5. Push to your branch.
6. Create a pull request [here](https://github.com/tofupilot/python-client/pulls).

## Development Setup

To set up a local development environment:

1. Clone the repo
   ```bash
   git clone https://github.com/tofupilot/python-client.git
   ```
2. Install dependencies
   ```bash
   pip install -r requirements.txt
   ```

## Style Guide

Please follow PEP 8 guidelines for Python code.

## Testing

To run tests, use:

```bash
pytest
```
